Skip to content

Report Tags

Report Tags are defined by customers, and may be used to search Reports.

Add a tag to a Report

Request

This request is used to add a tag to a Report.

Note: The tag value passed to POST /v1/reports/{id}/tags will match the name field in the response.

Security
basic_auth
Path
idstringrequired

The Report's ID.

Query
pagenumber or null

Specifies the page number to retrieve.

per_pagenumber or null

Indicates how many records each page should contain. The default value is 25 records.

Bodyapplication/jsonrequired
tagstringrequired
Example:"To Review"
curl -i -X POST \
  -u '<username>:<password>' \
  'https://docs.checkr.com/_mock/apis/openapi/reports/{id}/tags?page=0&per_page=0' \
  -H 'Content-Type: application/json' \
  -d '{
    "tag": "To Review"
  }'

Responses

Report tag was successfully created

Bodyapplication/json
countnumber, (integer)
Example:3
objectstring
Value:"list"
Example:"list"
dataArray of objects
Example:
[ { "name": "EIN-234234234" }, { "name": "api-generated" }, { "name": "In Progress" } ]
Response
{ "count": 3, "object": "list", "data": [ { … }, { … }, { … } ] }